## transmission-el 0.12.1

=== Makefile ===
VERSION = $(shell git describe --tags)

SRC = transmission.el
DISTFILES = Makefile $(SRC) LICENSE NEWS README.org

PREFIX = /usr/local
datarootdir := $(PREFIX)/share
emacsdir := $(datarootdir)/emacs/site-lisp

EMACS = emacs
# EMACSFLAGS = -f package-initialize

all: $(SRC:.el=.elc)

clean:
	$(RM) $(SRC:.el=.elc)

dist: clean
	mkdir transmission-$(VERSION)
	cp -r $(DISTFILES) transmission-$(VERSION)
	tar czf transmission-$(VERSION).tar.gz transmission-$(VERSION)
	rm -rf transmission-$(VERSION)

install: $(SRC:=.gz)
	install -d $(DESTDIR)$(emacsdir)
	install -m644 $(SRC:=.gz) $(SRC:.el=.elc) -t $(DESTDIR)$(emacsdir)

.el.elc:
	$(EMACS) -batch $(EMACSFLAGS) -f batch-byte-compile $<

%.gz: %
	gzip -k $<

.PHONY: all clean dist install

=== debian/changelog ===
transmission-el (0.12.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Thu, 29 Aug 2019 07:27:22 -0300

transmission-el (0.12.1-1) unstable; urgency=medium

  * Initial release (Closes: #904130)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 20 Jul 2018 12:58:42 +0500

=== debian/control ===
Source: transmission-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa
Standards-Version: 4.1.5
Rules-Requires-Root: no
Homepage: https://github.com/holomorph/transmission
Vcs-Browser: https://salsa.debian.org/emacsen-team/transmission-el
Vcs-Git: https://salsa.debian.org/emacsen-team/transmission-el.git

Package: elpa-transmission
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0),
Suggests: transmission-daemon
Enhances: emacs,
          emacs25
Description: Emacs interface to a Transmission session
 This package provides an Emacs interface to a Transmission session. A
 variety of commands are available for manipulating torrents and their
 contents, many of which can be applied over multiple items by
 selecting them with marks or within a region. One can add,
 start/stop, verify, remove torrents, set speed limits, ratio limits,
 bandwidth priorities, trackers, etc. Also, one can navigate to the
 corresponding file list, torrent info, or peer info contexts. In the
 file list, individual files can be toggled for download, and their
 priorities set.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_install:
	@echo skipping upstream install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_auto_install override_dh_installchangelogs

## transmission-el 0.12.2

=== debian/changelog ===
transmission-el (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2
  * Refresh patch to clean documentation
  * Add upstream metadata
  * Migrate to dh 13 without d/compat
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Update copyright information
  * d/rules: Better handling of upstream changelogs

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 11 Dec 2020 09:33:30 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.1.5
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/holomorph/transmission
 Vcs-Browser: https://salsa.debian.org/emacsen-team/transmission-el
@@ -17,8 +17,7 @@
          ${misc:Depends}
 Recommends: emacs (>= 46.0),
 Suggests: transmission-daemon
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: Emacs interface to a Transmission session
  This package provides an Emacs interface to a Transmission session. A
  variety of commands are available for manipulating torrents and their

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+	dh_installchangelogs
 
 .PHONY: override_dh_auto_install override_dh_installchangelogs

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%transmission-el-$1.tar.gz%" \
             https://github.com/holomorph/transmission/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
